View Issue Details

IDProjectCategoryView StatusLast Update
0032696Open CASCADEOCCT:Codingpublic2021-12-04 12:30
Reporteraml Assigned Tosmoskvin  
PrioritynormalSeverityintegration request 
Status verifiedResolutionfixed 
Product Version7.6.0 
Target Version7.7.0 
Summary0032696: Coding - get rid of unused forward declarations [StepSelect to Xw]
Descriptioninclude-what-you-use is a great tool for code health improvement. It allows for detecting unused headers and forward declarations.

Packages from StepSelect to Xw (inclusively) are processed in this ticket. Also, lower-case packages (gp and gce) should be handled as well.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Relationships

child of 0032615 closedbugmaster Coding - get rid of unused forward declarations 

Activities

git

2021-11-29 11:22

administrator   ~0105503

Branch CR32696 has been created by aml.

SHA-1: f48ea41879f49edf3e5c91790bdbf847a825afad


Detailed log of new commits:

Author: aml
Date: Mon Nov 29 11:18:12 2021 +0300

    0032696: Coding - get rid of unused forward declarations [StepSelect to Xw]
    
    Packages starting with lower-case (gp and gce) are also processed.

git

2021-11-29 12:34

administrator   ~0105507

Branch CR32696 has been updated forcibly by aml.

SHA-1: d1b491737083befddd6d1c02d37a78d1948bc827

git

2021-11-29 12:54

administrator   ~0105508

Branch CR32696 has been updated forcibly by aml.

SHA-1: 73c4a530da62652bf3225f36c3353f8c20447980

git

2021-11-29 14:00

administrator   ~0105515

Branch CR32696 has been updated forcibly by aml.

SHA-1: 8d8d3ade705d6716ee292bc332bf91ec0e71a21b

git

2021-11-29 17:50

administrator   ~0105521

Branch CR32696 has been updated forcibly by aml.

SHA-1: c0f56d78bcea23d1923fc3d253526808f33802fc

aml

2021-11-29 18:58

developer   ~0105523

Dear Kirill,
Please take a look at the patch:

Jenkins compilation results are here:
http://jenkins-test-occt.nnov.opencascade.com/view/CR32696-master-aml/view/ALL/

smoskvin

2021-12-04 11:59

administrator   ~0105640

Combination -
OCCT branch : IR-2021-12-03
master SHA - 03eb96038e853c37a2229e59d0acb72f5dd0478d
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-12-03 SHA - 52ed38cc2ddefb01913e1984cdae84175a8fb8ed
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18166.60000000042 / 18390.6500000004 [-1.22%]
Products
Total CPU difference: 11658.820000000103 / 11648.280000000103 [+0.09%]
Windows-64-VC14:
OCCT
Total CPU difference: 19937.84375 / 19928.171875 [+0.05%]
Products
Total CPU difference: 13069.28125 / 13059.03125 [+0.08%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-12-04 12:30

administrator   ~0105656

Branch CR32696 has been deleted by mnt.

SHA-1: c0f56d78bcea23d1923fc3d253526808f33802fc

Related Changesets

occt: master 20095306

2021-11-29 08:18:12

aml


Committer: smoskvin Details Diff
0032696: Coding - get rid of unused forward declarations [StepSelect to Xw]

Packages starting with lower-case (gp and gce) are also processed.
Affected Issues
0032696
mod - src/gce/gce_MakeCirc.hxx Diff File
mod - src/gce/gce_MakeCirc2d.hxx Diff File
mod - src/gce/gce_MakeCone.hxx Diff File
mod - src/gce/gce_MakeCylinder.hxx Diff File
mod - src/gce/gce_MakeDir.hxx Diff File
mod - src/gce/gce_MakeDir2d.hxx Diff File
mod - src/gce/gce_MakeElips.hxx Diff File
mod - src/gce/gce_MakeElips2d.hxx Diff File
mod - src/gce/gce_MakeHypr.hxx Diff File
mod - src/gce/gce_MakeHypr2d.hxx Diff File
mod - src/gce/gce_MakeLin.hxx Diff File
mod - src/gce/gce_MakeLin2d.hxx Diff File
mod - src/gce/gce_MakeMirror.hxx Diff File
mod - src/gce/gce_MakeMirror2d.hxx Diff File
mod - src/gce/gce_MakeParab.hxx Diff File
mod - src/gce/gce_MakeParab2d.hxx Diff File
mod - src/gce/gce_MakePln.hxx Diff File
mod - src/gce/gce_MakeRotation.hxx Diff File
mod - src/gce/gce_MakeRotation2d.hxx Diff File
mod - src/gce/gce_MakeScale.hxx Diff File
mod - src/gce/gce_MakeScale2d.hxx Diff File
mod - src/gce/gce_MakeTranslation.hxx Diff File
mod - src/gce/gce_MakeTranslation2d.hxx Diff File
mod - src/gp/gp_Ax2.hxx Diff File
mod - src/gp/gp_Dir2d.hxx Diff File
mod - src/gp/gp_GTrsf.hxx Diff File
mod - src/gp/gp_GTrsf2d.hxx Diff File
mod - src/gp/gp_Mat2d.hxx Diff File
mod - src/gp/gp_Pnt.hxx Diff File
mod - src/gp/gp_Pnt2d.hxx Diff File
mod - src/gp/gp_Trsf2d.hxx Diff File
mod - src/StepSelect/StepSelect_FloatFormat.hxx Diff File
mod - src/StepSelect/StepSelect_StepType.hxx Diff File
mod - src/StepShape/StepShape_BooleanOperand.hxx Diff File
mod - src/StepShape/StepShape_BooleanResult.hxx Diff File
mod - src/StepShape/StepShape_ConnectedFaceSubSet.hxx Diff File
mod - src/StepShape/StepShape_CsgSelect.hxx Diff File
mod - src/StepShape/StepShape_CsgSolid.hxx Diff File
mod - src/StepShape/StepShape_DimensionalCharacteristicRepresentation.hxx Diff File
mod - src/StepShape/StepShape_OrientedClosedShell.hxx Diff File
mod - src/StepShape/StepShape_OrientedEdge.hxx Diff File
mod - src/StepShape/StepShape_OrientedFace.hxx Diff File
mod - src/StepShape/StepShape_OrientedOpenShell.hxx Diff File
mod - src/StepShape/StepShape_PlusMinusTolerance.hxx Diff File
mod - src/StepShape/StepShape_SolidReplica.hxx Diff File
mod - src/StepShape/StepShape_Subedge.hxx Diff File
mod - src/StepShape/StepShape_Subface.hxx Diff File
mod - src/StepShape/StepShape_ToleranceValue.hxx Diff File
mod - src/StepToTopoDS/StepToTopoDS.hxx Diff File
mod - src/StepToTopoDS/StepToTopoDS_Builder.hxx Diff File
mod - src/StepToTopoDS/StepToTopoDS_MakeTransformed.hxx Diff File
mod - src/StepToTopoDS/StepToTopoDS_PointPair.hxx Diff File
mod - src/StepToTopoDS/StepToTopoDS_TranslateCompositeCurve.hxx Diff File
mod - src/StepToTopoDS/StepToTopoDS_TranslateCurveBoundedSurface.hxx Diff File
mod - src/StepToTopoDS/StepToTopoDS_TranslateEdge.hxx Diff File
mod - src/StepToTopoDS/StepToTopoDS_TranslateEdgeLoop.hxx Diff File
mod - src/StepToTopoDS/StepToTopoDS_TranslateFace.hxx Diff File
mod - src/StepToTopoDS/StepToTopoDS_TranslatePolyLoop.hxx Diff File
mod - src/StepToTopoDS/StepToTopoDS_TranslateShell.hxx Diff File
mod - src/StepToTopoDS/StepToTopoDS_TranslateVertex.hxx Diff File
mod - src/StepToTopoDS/StepToTopoDS_TranslateVertexLoop.hxx Diff File
mod - src/StepVisual/StepVisual_AnnotationFillArea.hxx Diff File
mod - src/StepVisual/StepVisual_BackgroundColour.hxx Diff File
mod - src/StepVisual/StepVisual_CameraModelD3MultiClipping.hxx Diff File
mod - src/StepVisual/StepVisual_CameraModelD3MultiClippingIntersection.hxx Diff File
mod - src/StepVisual/StepVisual_CameraModelD3MultiClippingUnion.hxx Diff File
mod - src/StepVisual/StepVisual_ContextDependentInvisibility.hxx Diff File
mod - src/StepVisual/StepVisual_ContextDependentOverRidingStyledItem.hxx Diff File
mod - src/StepVisual/StepVisual_CoordinatesList.hxx Diff File
mod - src/StepVisual/StepVisual_CurveStyle.hxx Diff File
mod - src/StepVisual/StepVisual_OverRidingStyledItem.hxx Diff File
mod - src/StepVisual/StepVisual_PlanarBox.hxx Diff File
mod - src/StepVisual/StepVisual_PointStyle.hxx Diff File
mod - src/StepVisual/StepVisual_PresentationSize.hxx Diff File
mod - src/StepVisual/StepVisual_PresentationStyleByContext.hxx Diff File
mod - src/StepVisual/StepVisual_PresentedItemRepresentation.hxx Diff File
mod - src/StepVisual/StepVisual_StyledItem.hxx Diff File
mod - src/StepVisual/StepVisual_TessellatedCurveSet.hxx Diff File
mod - src/StepVisual/StepVisual_TessellatedGeometricSet.hxx Diff File
mod - src/StepVisual/StepVisual_TessellatedItem.hxx Diff File
mod - src/StepVisual/StepVisual_TextLiteral.hxx Diff File
mod - src/StlAPI/StlAPI.hxx Diff File
mod - src/Storage/Storage.hxx Diff File
mod - src/Storage/Storage_BaseDriver.hxx Diff File
mod - src/Storage/Storage_Data.hxx Diff File
mod - src/Storage/Storage_HeaderData.hxx Diff File
mod - src/Storage/Storage_InternalData.hxx Diff File
mod - src/Storage/Storage_Root.hxx Diff File
mod - src/Storage/Storage_RootData.hxx Diff File
mod - src/Storage/Storage_Schema.hxx Diff File
mod - src/Storage/Storage_TypeData.hxx Diff File
mod - src/Storage/Storage_TypedCallBack.hxx Diff File
mod - src/Sweep/Sweep_NumShapeIterator.hxx Diff File
mod - src/Sweep/Sweep_NumShapeTool.hxx Diff File
mod - src/TCollection/TCollection_AsciiString.hxx Diff File
mod - src/TCollection/TCollection_ExtendedString.hxx Diff File
mod - src/TCollection/TCollection_HAsciiString.hxx Diff File
mod - src/TCollection/TCollection_HExtendedString.hxx Diff File
mod - src/TDataStd/TDataStd.hxx Diff File
mod - src/TDataStd/TDataStd_AsciiString.hxx Diff File
mod - src/TDataStd/TDataStd_BooleanArray.hxx Diff File
mod - src/TDataStd/TDataStd_BooleanList.hxx Diff File
mod - src/TDataStd/TDataStd_ByteArray.hxx Diff File
mod - src/TDataStd/TDataStd_Current.hxx Diff File
mod - src/TDataStd/TDataStd_Directory.hxx Diff File
mod - src/TDataStd/TDataStd_Expression.hxx Diff File
mod - src/TDataStd/TDataStd_ExtStringArray.hxx Diff File
mod - src/TDataStd/TDataStd_ExtStringList.hxx Diff File
mod - src/TDataStd/TDataStd_GenericEmpty.hxx Diff File
mod - src/TDataStd/TDataStd_GenericExtString.hxx Diff File
mod - src/TDataStd/TDataStd_Integer.hxx Diff File
mod - src/TDataStd/TDataStd_IntegerArray.hxx Diff File
mod - src/TDataStd/TDataStd_IntegerList.hxx Diff File
mod - src/TDataStd/TDataStd_IntPackedMap.hxx Diff File
mod - src/TDataStd/TDataStd_Name.hxx Diff File
mod - src/TDataStd/TDataStd_NoteBook.hxx Diff File
mod - src/TDataStd/TDataStd_Real.hxx Diff File
mod - src/TDataStd/TDataStd_RealArray.hxx Diff File
mod - src/TDataStd/TDataStd_RealList.hxx Diff File
mod - src/TDataStd/TDataStd_ReferenceArray.hxx Diff File
mod - src/TDataStd/TDataStd_ReferenceList.hxx Diff File
mod - src/TDataStd/TDataStd_Tick.hxx Diff File
mod - src/TDataStd/TDataStd_TreeNode.hxx Diff File
mod - src/TDataStd/TDataStd_UAttribute.hxx Diff File
mod - src/TDataStd/TDataStd_Variable.hxx Diff File
mod - src/TDataXtd/TDataXtd.hxx Diff File
mod - src/TDataXtd/TDataXtd_Constraint.hxx Diff File
mod - src/TDataXtd/TDataXtd_Geometry.hxx Diff File
mod - src/TDataXtd/TDataXtd_Position.hxx Diff File
mod - src/TDataXtd/TDataXtd_Presentation.hxx Diff File
mod - src/TDataXtd/TDataXtd_Triangulation.hxx Diff File
mod - src/TDF/TDF.hxx Diff File
mod - src/TDF/TDF_Attribute.hxx Diff File
mod - src/TDF/TDF_AttributeDelta.hxx Diff File
mod - src/TDF/TDF_ChildIDIterator.hxx Diff File
mod - src/TDF/TDF_CopyLabel.hxx Diff File
mod - src/TDF/TDF_Data.hxx Diff File
mod - src/TDF/TDF_Delta.hxx Diff File
mod - src/TDF/TDF_Label.hxx Diff File
mod - src/TDF/TDF_LabelNode.hxx Diff File
mod - src/TDF/TDF_Reference.hxx Diff File
mod - src/TDF/TDF_RelocationTable.hxx Diff File
mod - src/TDF/TDF_TagSource.hxx Diff File
mod - src/TDF/TDF_Transaction.hxx Diff File
mod - src/TDocStd/TDocStd.hxx Diff File
mod - src/TDocStd/TDocStd_Application.hxx Diff File
mod - src/TDocStd/TDocStd_ApplicationDelta.hxx Diff File
mod - src/TDocStd/TDocStd_CompoundDelta.hxx Diff File
mod - src/TDocStd/TDocStd_Document.hxx Diff File
mod - src/TDocStd/TDocStd_Modified.hxx Diff File
mod - src/TDocStd/TDocStd_Owner.hxx Diff File
mod - src/TDocStd/TDocStd_PathParser.hxx Diff File
mod - src/TDocStd/TDocStd_XLink.hxx Diff File
mod - src/TDocStd/TDocStd_XLinkIterator.hxx Diff File
mod - src/TDocStd/TDocStd_XLinkRoot.hxx Diff File
mod - src/TFunction/TFunction_Driver.hxx Diff File
mod - src/TFunction/TFunction_Function.hxx Diff File
mod - src/TFunction/TFunction_GraphNode.hxx Diff File
mod - src/TFunction/TFunction_IFunction.hxx Diff File
mod - src/TFunction/TFunction_Logbook.hxx Diff File
mod - src/TFunction/TFunction_Scope.hxx Diff File
mod - src/TNaming/TNaming.hxx Diff File
mod - src/TNaming/TNaming_Identifier.hxx Diff File
mod - src/TNaming/TNaming_Name.hxx Diff File
mod - src/TNaming/TNaming_NamedShape.hxx Diff File
mod - src/TNaming/TNaming_Naming.hxx Diff File
mod - src/TNaming/TNaming_Selector.hxx Diff File
mod - src/TNaming/TNaming_Tool.hxx Diff File
mod - src/TNaming/TNaming_TranslateTool.hxx Diff File
mod - src/TNaming/TNaming_UsedShapes.hxx Diff File
mod - src/TObj/TObj_Model.hxx Diff File
mod - src/TObj/TObj_TModel.hxx Diff File
mod - src/TObj/TObj_TNameContainer.hxx Diff File
mod - src/TopExp/TopExp.hxx Diff File
mod - src/TopLoc/TopLoc_ItemLocation.hxx Diff File
mod - src/TopLoc/TopLoc_Location.hxx Diff File
mod - src/TopLoc/TopLoc_SListNodeOfItemLocation.hxx Diff File
mod - src/TopLoc/TopLoc_SListOfItemLocation.hxx Diff File
mod - src/TopoDS/TopoDS_Builder.hxx Diff File
mod - src/TopoDS/TopoDS_HShape.hxx Diff File
mod - src/TopoDS/TopoDS_TCompound.hxx Diff File
mod - src/TopoDS/TopoDS_TCompSolid.hxx Diff File
mod - src/TopoDS/TopoDS_TFace.hxx Diff File
mod - src/TopoDS/TopoDS_TShape.hxx Diff File
mod - src/TopoDS/TopoDS_TShell.hxx Diff File
mod - src/TopoDS/TopoDS_TSolid.hxx Diff File
mod - src/TopoDS/TopoDS_TWire.hxx Diff File
mod - src/TopoDSToStep/TopoDSToStep.hxx Diff File
mod - src/TopoDSToStep/TopoDSToStep_Builder.hxx Diff File
mod - src/TopoDSToStep/TopoDSToStep_MakeBrepWithVoids.hxx Diff File
mod - src/TopoDSToStep/TopoDSToStep_MakeFacetedBrep.hxx Diff File
mod - src/TopoDSToStep/TopoDSToStep_MakeFacetedBrepAndBrepWithVoids.hxx Diff File
mod - src/TopoDSToStep/TopoDSToStep_MakeGeometricCurveSet.hxx Diff File
mod - src/TopoDSToStep/TopoDSToStep_MakeManifoldSolidBrep.hxx Diff File
mod - src/TopoDSToStep/TopoDSToStep_MakeShellBasedSurfaceModel.hxx Diff File
mod - src/TopoDSToStep/TopoDSToStep_MakeStepEdge.hxx Diff File
mod - src/TopoDSToStep/TopoDSToStep_MakeStepFace.hxx Diff File
mod - src/TopoDSToStep/TopoDSToStep_MakeStepVertex.hxx Diff File
mod - src/TopoDSToStep/TopoDSToStep_MakeStepWire.hxx Diff File
mod - src/TopoDSToStep/TopoDSToStep_Tool.hxx Diff File
mod - src/TopoDSToStep/TopoDSToStep_WireframeBuilder.hxx Diff File
mod - src/TopOpeBRep/TopOpeBRep.hxx Diff File
mod - src/TopOpeBRep/TopOpeBRep_DSFiller.hxx Diff File
mod - src/TopOpeBRep/TopOpeBRep_EdgesFiller.hxx Diff File
mod - src/TopOpeBRep/TopOpeBRep_EdgesIntersector.hxx Diff File
mod - src/TopOpeBRep/TopOpeBRep_FaceEdgeIntersector.hxx Diff File
mod - src/TopOpeBRep/TopOpeBRep_FacesFiller.hxx Diff File
mod - src/TopOpeBRep/TopOpeBRep_Hctxee2d.hxx Diff File
mod - src/TopOpeBRep/TopOpeBRep_LineInter.hxx Diff File
mod - src/TopOpeBRep/TopOpeBRep_Point2d.hxx Diff File
mod - src/TopOpeBRep/TopOpeBRep_ShapeIntersector.hxx Diff File
mod - src/TopOpeBRep/TopOpeBRep_ShapeIntersector2d.hxx Diff File
mod - src/TopOpeBRep/TopOpeBRep_ShapeScanner.hxx Diff File
mod - src/TopOpeBRep/TopOpeBRep_VPointInter.hxx Diff File
mod - src/TopOpeBRep/TopOpeBRep_VPointInterClassifier.hxx Diff File
mod - src/TopOpeBRep/TopOpeBRep_VPointInterIterator.hxx Diff File
mod - src/TopOpeBRep/TopOpeBRep_WPointInter.hxx Diff File
mod - src/TopOpeBRep/TopOpeBRep_WPointInterIterator.hxx Diff File
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_BlockIterator.hxx Diff File
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_Builder.hxx Diff File
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_Builder1.hxx Diff File
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_BuilderON.hxx Diff File
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_CorrectFace2d.hxx Diff File
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_HBuilder.hxx Diff File
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_Loop.hxx Diff File
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_Pave.hxx Diff File
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_PaveSet.hxx Diff File
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_ShapeListOfShape.hxx Diff File
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_ShapeSet.hxx Diff File
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_ShellFaceClassifier.hxx Diff File
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_ShellFaceSet.hxx Diff File
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_VertexInfo.hxx Diff File
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_WireEdgeClassifier.hxx Diff File
mod - src/TopOpeBRepBuild/TopOpeBRepBuild_WireEdgeSet.hxx Diff File
mod - src/TopOpeBRepDS/TopOpeBRepDS.hxx Diff File
mod - src/TopOpeBRepDS/TopOpeBRepDS_Curve.hxx Diff File
mod - src/TopOpeBRepDS/TopOpeBRepDS_CurveData.hxx Diff File
mod - src/TopOpeBRepDS/TopOpeBRepDS_DataStructure.hxx Diff File
mod - src/TopOpeBRepDS/TopOpeBRepDS_Dumper.hxx Diff File
mod - src/TopOpeBRepDS/TopOpeBRepDS_Edge3dInterferenceTool.hxx Diff File
mod - src/TopOpeBRepDS/TopOpeBRepDS_Explorer.hxx Diff File
mod - src/TopOpeBRepDS/TopOpeBRepDS_FaceInterferenceTool.hxx Diff File
mod - src/TopOpeBRepDS/TopOpeBRepDS_HDataStructure.hxx Diff File
mod - src/TopOpeBRepDS/TopOpeBRepDS_Interference.hxx Diff File
mod - src/TopOpeBRepDS/TopOpeBRepDS_Point.hxx Diff File
mod - src/TopOpeBRepDS/TopOpeBRepDS_PointData.hxx Diff File
mod - src/TopOpeBRepDS/TopOpeBRepDS_PointExplorer.hxx Diff File
mod - src/TopOpeBRepDS/TopOpeBRepDS_ShapeData.hxx Diff File
mod - src/TopOpeBRepDS/TopOpeBRepDS_SurfaceCurveInterference.hxx Diff File
mod - src/TopOpeBRepDS/TopOpeBRepDS_SurfaceData.hxx Diff File
mod - src/TopOpeBRepDS/TopOpeBRepDS_SurfaceExplorer.hxx Diff File
mod - src/TopOpeBRepTool/TopOpeBRepTool.hxx Diff File
mod - src/TopOpeBRepTool/TopOpeBRepTool_BoxSort.hxx Diff File
mod - src/TopOpeBRepTool/TopOpeBRepTool_C2DF.hxx Diff File
mod - src/TopOpeBRepTool/TopOpeBRepTool_CLASSI.hxx Diff File
mod - src/TopOpeBRepTool/TopOpeBRepTool_connexity.hxx Diff File
mod - src/TopOpeBRepTool/TopOpeBRepTool_CORRISO.hxx Diff File
mod - src/TopOpeBRepTool/TopOpeBRepTool_CurveTool.hxx Diff File
mod - src/TopOpeBRepTool/TopOpeBRepTool_face.hxx Diff File
mod - src/TopOpeBRepTool/TopOpeBRepTool_FuseEdges.hxx Diff File
mod - src/TopOpeBRepTool/TopOpeBRepTool_makeTransition.hxx Diff File
mod - src/TopOpeBRepTool/TopOpeBRepTool_mkTondgE.hxx Diff File
mod - src/TopOpeBRepTool/TopOpeBRepTool_PurgeInternalEdges.hxx Diff File
mod - src/TopOpeBRepTool/TopOpeBRepTool_REGUS.hxx Diff File
mod - src/TopOpeBRepTool/TopOpeBRepTool_REGUW.hxx Diff File
mod - src/TopOpeBRepTool/TopOpeBRepTool_ShapeClassifier.hxx Diff File
mod - src/TopOpeBRepTool/TopOpeBRepTool_SolidClassifier.hxx Diff File
mod - src/TopTools/TopTools.hxx Diff File
mod - src/TopTools/TopTools_LocationSet.hxx Diff File
mod - src/TopTools/TopTools_ShapeSet.hxx Diff File
mod - src/TopTrans/TopTrans_CurveTransition.hxx Diff File
mod - src/TopTrans/TopTrans_SurfaceTransition.hxx Diff File
mod - src/TPrsStd/TPrsStd_AISPresentation.hxx Diff File
mod - src/TPrsStd/TPrsStd_AISViewer.hxx Diff File
mod - src/Transfer/Transfer_ActorDispatch.hxx Diff File
mod - src/Transfer/Transfer_ActorOfTransientProcess.hxx Diff File
mod - src/Transfer/Transfer_Binder.hxx Diff File
mod - src/Transfer/Transfer_DispatchControl.hxx Diff File
mod - src/Transfer/Transfer_MultipleBinder.hxx Diff File
mod - src/Transfer/Transfer_ResultFromModel.hxx Diff File
mod - src/Transfer/Transfer_ResultFromTransient.hxx Diff File
mod - src/Transfer/Transfer_SimpleBinderOfTransient.hxx Diff File
mod - src/Transfer/Transfer_TransferDispatch.hxx Diff File
mod - src/Transfer/Transfer_TransferInput.hxx Diff File
mod - src/Transfer/Transfer_TransferIterator.hxx Diff File
mod - src/Transfer/Transfer_TransferOutput.hxx Diff File
mod - src/Transfer/Transfer_TransientListBinder.hxx Diff File
mod - src/TransferBRep/TransferBRep.hxx Diff File
mod - src/TransferBRep/TransferBRep_BinderOfShape.hxx Diff File
mod - src/TransferBRep/TransferBRep_Reader.hxx Diff File
mod - src/TransferBRep/TransferBRep_ShapeBinder.hxx Diff File
mod - src/TransferBRep/TransferBRep_ShapeListBinder.hxx Diff File
mod - src/Units/Units.hxx Diff File
mod - src/Units/Units_Lexicon.hxx Diff File
mod - src/Units/Units_ShiftedToken.hxx Diff File
mod - src/Units/Units_UnitsDictionary.hxx Diff File
mod - src/Units/Units_UnitsLexicon.hxx Diff File
mod - src/Units/Units_UnitsSystem.hxx Diff File
mod - src/V3d/V3d_AmbientLight.hxx Diff File
mod - src/V3d/V3d_Viewer.hxx Diff File
mod - src/ViewerTest/ViewerTest_CmdParser.hxx Diff File
mod - src/ViewerTest/ViewerTest_ContinuousRedrawer.hxx Diff File
mod - src/Vrml/Vrml.hxx Diff File
mod - src/Vrml/Vrml_DirectionalLight.hxx Diff File
mod - src/Vrml/Vrml_Info.hxx Diff File
mod - src/Vrml/Vrml_Instancing.hxx Diff File
mod - src/Vrml/Vrml_LOD.hxx Diff File
mod - src/Vrml/Vrml_MatrixTransform.hxx Diff File
mod - src/Vrml/Vrml_OrthographicCamera.hxx Diff File
mod - src/Vrml/Vrml_PerspectiveCamera.hxx Diff File
mod - src/Vrml/Vrml_PointLight.hxx Diff File
mod - src/Vrml/Vrml_Rotation.hxx Diff File
mod - src/Vrml/Vrml_Scale.hxx Diff File
mod - src/Vrml/Vrml_SpotLight.hxx Diff File
mod - src/Vrml/Vrml_Texture2.hxx Diff File
mod - src/Vrml/Vrml_Texture2Transform.hxx Diff File
mod - src/Vrml/Vrml_Transform.hxx Diff File
mod - src/Vrml/Vrml_Translation.hxx Diff File
mod - src/Vrml/Vrml_WWWAnchor.hxx Diff File
mod - src/Vrml/Vrml_WWWInline.hxx Diff File
mod - src/VrmlAPI/VrmlAPI.hxx Diff File
mod - src/VrmlConverter/VrmlConverter_Projector.hxx Diff File
mod - src/VrmlConverter/VrmlConverter_ShadingAspect.hxx Diff File
mod - src/VrmlData/VrmlData_Node.hxx Diff File
mod - src/XCAFApp/XCAFApp_Application.hxx Diff File
mod - src/XCAFDoc/XCAFDoc.hxx Diff File
mod - src/XCAFDoc/XCAFDoc_Area.hxx Diff File
mod - src/XCAFDoc/XCAFDoc_AssemblyItemRef.hxx Diff File
mod - src/XCAFDoc/XCAFDoc_Centroid.hxx Diff File
mod - src/XCAFDoc/XCAFDoc_ClippingPlaneTool.hxx Diff File
mod - src/XCAFDoc/XCAFDoc_Color.hxx Diff File
mod - src/XCAFDoc/XCAFDoc_ColorTool.hxx Diff File
mod - src/XCAFDoc/XCAFDoc_Datum.hxx Diff File
mod - src/XCAFDoc/XCAFDoc_Dimension.hxx Diff File
mod - src/XCAFDoc/XCAFDoc_DimTol.hxx Diff File
mod - src/XCAFDoc/XCAFDoc_DimTolTool.hxx Diff File
mod - src/XCAFDoc/XCAFDoc_DocumentTool.hxx Diff File
mod - src/XCAFDoc/XCAFDoc_GeomTolerance.hxx Diff File
mod - src/XCAFDoc/XCAFDoc_GraphNode.hxx Diff File
mod - src/XCAFDoc/XCAFDoc_LayerTool.hxx Diff File
mod - src/XCAFDoc/XCAFDoc_LengthUnit.hxx Diff File
mod - src/XCAFDoc/XCAFDoc_Location.hxx Diff File
mod - src/XCAFDoc/XCAFDoc_Material.hxx Diff File
mod - src/XCAFDoc/XCAFDoc_MaterialTool.hxx Diff File
mod - src/XCAFDoc/XCAFDoc_Note.hxx Diff File
mod - src/XCAFDoc/XCAFDoc_NotesTool.hxx Diff File
mod - src/XCAFDoc/XCAFDoc_ShapeMapTool.hxx Diff File
mod - src/XCAFDoc/XCAFDoc_ShapeTool.hxx Diff File
mod - src/XCAFDoc/XCAFDoc_View.hxx Diff File
mod - src/XCAFDoc/XCAFDoc_ViewTool.hxx Diff File
mod - src/XCAFDoc/XCAFDoc_VisMaterial.hxx Diff File
mod - src/XCAFDoc/XCAFDoc_VisMaterialTool.hxx Diff File
mod - src/XCAFDoc/XCAFDoc_Volume.hxx Diff File
mod - src/XCAFPrs/XCAFPrs.hxx Diff File
mod - src/XCAFPrs/XCAFPrs_DocumentExplorer.hxx Diff File
mod - src/XDEDRAW/XDEDRAW.hxx Diff File
mod - src/XmlDrivers/XmlDrivers.hxx Diff File
mod - src/XmlLDrivers/XmlLDrivers.hxx Diff File
mod - src/XmlLDrivers/XmlLDrivers_DocumentRetrievalDriver.hxx Diff File
mod - src/XmlLDrivers/XmlLDrivers_DocumentStorageDriver.hxx Diff File
mod - src/XmlLDrivers/XmlLDrivers_NamespaceDef.hxx Diff File
mod - src/XmlMDataStd/XmlMDataStd.hxx Diff File
mod - src/XmlMDataStd/XmlMDataStd_GenericExtStringDriver.hxx Diff File
mod - src/XmlMDataXtd/XmlMDataXtd.hxx Diff File
mod - src/XmlMDF/XmlMDF.hxx Diff File
mod - src/XmlMDF/XmlMDF_ADriver.hxx Diff File
mod - src/XmlMDocStd/XmlMDocStd.hxx Diff File
mod - src/XmlMFunction/XmlMFunction.hxx Diff File
mod - src/XmlMNaming/XmlMNaming.hxx Diff File
mod - src/XmlMXCAFDoc/XmlMXCAFDoc.hxx Diff File
mod - src/XmlObjMgt/XmlObjMgt.hxx Diff File
mod - src/XmlXCAFDrivers/XmlXCAFDrivers.hxx Diff File
mod - src/XSAlgo/XSAlgo.hxx Diff File
mod - src/XSAlgo/XSAlgo_AlgoContainer.hxx Diff File
mod - src/XSControl/XSControl.hxx Diff File
mod - src/XSControl/XSControl_Controller.hxx Diff File
mod - src/XSControl/XSControl_TransferReader.hxx Diff File
mod - src/XSControl/XSControl_TransferWriter.hxx Diff File
mod - src/XSControl/XSControl_Utils.hxx Diff File
mod - src/XSControl/XSControl_WorkSession.hxx Diff File
mod - src/XSDRAW/XSDRAW.hxx Diff File
mod - src/XSDRAWSTLVRML/XSDRAWSTLVRML.hxx Diff File
mod - src/Xw/Xw_Window.hxx Diff File

Issue History

Date Modified Username Field Change
2021-11-29 11:20 aml New Issue
2021-11-29 11:20 aml Assigned To => aml
2021-11-29 11:20 aml Relationship added child of 0032615
2021-11-29 11:22 git Note Added: 0105503
2021-11-29 12:34 git Note Added: 0105507
2021-11-29 12:54 git Note Added: 0105508
2021-11-29 14:00 git Note Added: 0105515
2021-11-29 17:50 git Note Added: 0105521
2021-11-29 18:58 aml Note Added: 0105523
2021-11-29 18:58 aml Assigned To aml => kgv
2021-11-29 18:58 aml Status new => resolved
2021-11-29 18:58 aml Steps to Reproduce Updated
2021-11-29 19:18 kgv Test case number => N/A
2021-11-29 19:18 kgv Assigned To kgv => bugmaster
2021-11-29 19:18 kgv Status resolved => reviewed
2021-12-04 11:59 smoskvin Note Added: 0105640
2021-12-04 11:59 smoskvin Status reviewed => tested
2021-12-04 12:14 smoskvin Changeset attached => occt master 20095306
2021-12-04 12:14 smoskvin Assigned To bugmaster => smoskvin
2021-12-04 12:14 smoskvin Status tested => verified
2021-12-04 12:14 smoskvin Resolution open => fixed
2021-12-04 12:30 git Note Added: 0105656